summaryrefslogtreecommitdiffstats
path: root/build_tools/clarch/larch/profiles/MV-local/post_process/rc.local
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/clarch/larch/profiles/MV-local/post_process/rc.local')
-rwxr-xr-xbuild_tools/clarch/larch/profiles/MV-local/post_process/rc.local21
1 files changed, 21 insertions, 0 deletions
diff --git a/build_tools/clarch/larch/profiles/MV-local/post_process/rc.local b/build_tools/clarch/larch/profiles/MV-local/post_process/rc.local
new file mode 100755
index 0000000..0552860
--- /dev/null
+++ b/build_tools/clarch/larch/profiles/MV-local/post_process/rc.local
@@ -0,0 +1,21 @@
+#!/bin/bash
+. /etc/profile
+. ${MV_ROOT}/bin/install_functions.sh
+#install initial database
+pacman -S --noconfirm /data/var/cache/pacman/pkg/mythdb-initial* 2>/dev/null
+
+init_network
+/etc/rc.d/alsa-utils start 0
+init_remote
+random_theme
+
+echo $CMDLINE | grep -q NoX
+if [ $? = 0 ]
+then
+ echo "No auto X option found"
+ /usr/bin/chvt 2
+else
+ /root/startx &
+fi
+
+